// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3.1
// Desc: 
// Date: 
// Auth: 
#version unofficial MegaPov 0.4;

// ==== Standard POV-Ray Includes ====
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions
#include "coulphil.inc" // Mes couleurs
//#include "MYTEXTUR.INC" // Mes textures
#include "METALS.INC"
//#include "GOLDS.INC"
//#include "woods.inc"
//#include "skies.inc"
//#include "CONSTS.INC"
//#include "CHARS.INC"
#include "glass.INC"
//#include "stones.inc"

#declare True = 1;
#declare False = 0;


#declare PI=3.1415926535897;

// *********************************************************************
// Textures

#declare VinTx =
texture {
    pigment{ color rgbf <0.4, 0.0, 0.2, 0.9> }
    finish {
        ambient 0.5
        diffuse 0.5
        //phong 0.2
        //phong_size 0.20
        //reflection 0.6
    }
}




// *********************************************************************


#declare Bouteille2 =
lathe {
  cubic_spline // linear_spline | quadratic_spline | cubic_spline
  18, // number of points
<-3,1>,<0,3>,<3,1>,<4,0>,<5,1> ,<5,10>,
<4.75,17>,<2,25>,<1.75,30>,<1.5,30>
<1.8,25>,<4.55,17>,<4.8,10>,<4.8,1.4>,<4.0,1.0>,
<3.2,1.4>,<0,4.0>,<-3.2,1.4>
scale 0.1
texture {T_Winebottle_Glass}
interior {I_Glass}
}


#declare BouteilleVin = // Vide

object {Bouteille2
        scale 0.17
       }

// Boite de conserve *********************************************
#declare Boite_Conserve =
difference 
{
union {
      cylinder {0,1.55*y,0.6
         texture {
                  pigment {image_map
                                {
                                gif "E:\Images\CornedBeef.gif" // the file to read (iff/gif/tga/png/sys)
                                map_type 2 // 0=planar, 1=spherical, 2=cylindrical, 5=torus
                                interpolate 4 // 0=none, 1=linear, 2=bilinear, 4=normalized distance
                                once
                                } // image_map
                            scale 1.55
                           }
                 }
         }
      cylinder {0,0.05*y,0.61
                texture {T_Chrome_4D}
               }
      cylinder {0,0.05*y,0.61
                texture {T_Chrome_4D}
                translate 1.54*y
               }

      }
cylinder {0,1.55*y,0.6
         texture {T_Chrome_4D}
         scale 0.99
         translate 0.09*y
         }
rotate -90*y
scale 0.1
}

// Fin Boite de conserve *****************************************
